babel-preset-es2016-node5

Babel preset to make node@5 ES2015 compatible and some ES2016 features.

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
babel-preset-es2016-node5
1.1.28 years ago8 years agoMinified + gzip package size for babel-preset-es2016-node5 in KB

Readme

babel-preset-es2016-node5
This module only support one feature of ES2016: async, you can use preset: es2015-node5, stage3 to get the same effect.
Babel preset to make node@5 ES2016 compatible.

Node@5 has great ES2015 support, this module just adds missing features:
  • destructing assignment
  • rest & default parameters
  • modules
  • unicode and sticky regular expressions

And ES2016 support
  • async function

Install

$ npm install --save-dev babel-preset-es2016-node5

Usage

Via .babelrc (recommended)

.babelrc
{
  "presets": ["es2016-node5"]
}

Via CLI

$ babel script.js --preset es2016-node5

Via Node API

require('babel-core').transform('code', {
  presets: ['es2016-node5']
})

License

MIT